# TokenResultCallback

This interface is used with [`getUserAccessToken(TokenResultCallback)`](/important-topics/sdk/api-reference/android/sentiance.md#getuseraccesstoken).

## TokenResultCallback API

### `onSuccess()`

> ```java
> void onSuccess(Token token)
> ```
>
> Called when the Sentiance SDK has a working token (either previously cached or newly obtained).

| Parameters |                                                                                                               |
| ---------- | ------------------------------------------------------------------------------------------------------------- |
| token      | A [`Token`](/important-topics/sdk/api-reference/android/token.md) object containing token ID and expiry date. |

### `onFailure()`

> ```java
> void onFailure()
> ```
>
> Called when a token could not be obtained. This can happen if both of the following conditions are met:
>
> * The token has expired,
> * there is no network connection that can be used to get a new token from the Sentiance API.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/tokenresultcallback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
